<ul class="nav justify-content-end">
    <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
        <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
    </li>
</ul>
<div class="input-group w-100 mt-3">
    <input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
        name="currentSearch" placeholder="Find Unit Preparation">
    <button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
        <span class="fa fa-search"></span>
    </button>
    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
        <span class="fa fa-trash-o"></span>
    </button>
</div>
<br></br>
<div class="col-md-12" style="overflow:auto">
    <div class="pull-right">
        <div style="margin-bottom: 10px;">
            <button pButton type="button" class="ui-button-primary btn-sm" label="Kirim Gudang" (click)="kirimGudang()" [disabled]="selected?.length == 0"></button>
            </button>
        </div>
    </div>
</div>
<p-dataTable 
    [value]="customShipment" 
    [editable]="true" 
    [rows]="itemsPerPage" 
    [paginator]="true" 
    [pageLinks]="5" 
    [rowsPerPageOptions]="[10,15,20]" 
    [totalRecords]="totalItems" 
    [responsive]="true" 
    [lazy]="true" 
    dataKey="idframe" 
    expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)" 
    (onEditComplete)="updateRowData($event)"  
    [(selection)]="selected">
    <p-header>
        <div class="row"></div>
    </p-header>
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{'mpmApp.shipmentOutgoing.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelReferenceNumber'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.refferenceNumber}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelDeliverySchedule'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div class="row">
                <div class="ui-g-12 ui-md-12">
                    <div class="ui-g">
                        <div class="ui-g-6 ui-sm-6">
                            <div *ngIf="(rowData.dateSchedulle == null);then nodate else datehere"></div>
                            <ng-template #nodate><i>No Date  </i></ng-template>
                            <ng-template #datehere>{{rowData.dateSchedulle | date:'fullDate'}}  </ng-template>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelPaymentStatus'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.saleTypeDescription}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelNOKA'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idframe}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelSales'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
           <p *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.salesmanName}}</p> <p *ngIf="(idInternalHere != rowData.idInternalsrc)">-</p>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelKorsal'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <p *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.coordinatorSales}}</p> <p *ngIf="(idInternalHere != rowData.idInternalsrc)">-</p>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelInventoryMovementType'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <p *ngIf="(rowData.idInventoryMovementType === 110)">Retail</p>
            <p *ngIf="(rowData.idInventoryMovementType === 111 || rowData.idInventoryMovementType === 112)">GC</p>
            <p *ngIf="(rowData.idInventoryMovementType === 113)">Direct VSO</p>
            <p *ngIf="(idInternalHere != rowData.idInternalsrc)">Transfer Unit</p>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <button pButton type="submit"
                    [routerLink]="['../shipment-outgoing', rowData.idShipment]"
                    icon="fa-eye"
                    class="flat-button"
                    [style]="{'height':'50px'}">
            </button> -->
            <!-- <button pButton type="submit" icon="fa fa-share" class="flat-button" [style]="{'height':'50px'}" pTooltip="Kirim Gudang" (click)="kirimGudang(rowData.idShipment)">
            </button> -->
            <!-- <button pButton type="submit" (click)="goToDetail(rowData.idRequirement)" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}" pTooltip="Detail">
            </button> -->
            <button pButton type="submit" [routerLink]="['./',rowData.idRequirement,rowData.idShipment,rowData.refferenceNumber,'detail','shipment']" icon="fa-pencil" class="flat-button" pTooltip="Edit">
            </button>
            <!-- <button pButton type="submit" (click)="delete(rowData.idShipment)" icon="fa-remove" class="flat-button" pTooltip="Hapus">
            </button> -->
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>